org.eclipse.eef.core.internal.controllers

## Class EEFSelectController

- java.lang.Object
- - org.eclipse.eef.core.api.controllers.AbstractEEFController
  - - org.eclipse.eef.core.api.controllers.AbstractEEFWidgetController
    - - org.eclipse.eef.core.internal.controllers.EEFSelectController

All Implemented Interfaces:
  IEEFController, IEEFSelectController, IEEFWidgetController

    public class EEFSelectController
    extends AbstractEEFWidgetController
    implements IEEFSelectController

This class will be used in order to manage the behavior of the combo.

### Field Summary

### Fields inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFWidgetController

`newHelpConsumer, newLabelConsumer`

### Fields inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFController

`interpreter, variableManager`

### Constructor Summary

Constructors
Constructor and Description
`EEFSelectController(EEFSelectDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `computeCandidates()` Compute the candidates.
`protected EEFWidgetDescription` `getDescription()` Returns the widget description.
`void` `onNewCandidates(IConsumer<java.util.List<java.lang.Object>> consumer)` Register a consumer which will be called with the new value of the candidates when it will change.
`void` `onNewValue(IConsumer<java.lang.Object> consumer)` Register a consumer which will be called with the new value of the text when it will change.
`void` `refresh()` Refresh the controller.
`void` `removeNewCandidatesConsumer()` Remove the consumer of the new value of the label.
`void` `removeNewValueConsumer()` Remove the consumer of the new value of the text.
`org.eclipse.core.runtime.IStatus` `updateValue(java.lang.Object text)` Update the value of the text.

### Methods inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFWidgetController

`computeHelp, getValidationRulesContainer, getValidationRulesReference, onNewHelp, onNewLabel, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFController

`newEval, onValidation, removeValidationConsumer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFWidgetController

`computeHelp, onNewHelp, onNewLabel, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, removeValidationConsumer`

### Constructor Detail

#### EEFSelectController

    public EEFSelectController(EEFSelectDescription description,
                               org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                               org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                               EditingContextAdapter contextAdapter)

The constructor.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter

### Method Detail

#### updateValue

    public org.eclipse.core.runtime.IStatus updateValue(java.lang.Object text)

Description copied from interface: `IEEFSelectController`
Update the value of the text.

Specified by:
  `updateValue` in interface `IEEFSelectController`
Parameters:
  `text` - The new value of the text
Returns:
  the status of the update execution.

#### refresh

    public void refresh()

Refresh the controller.

Specified by:
  `refresh` in interface `IEEFController`
Overrides:
  `refresh` in class `AbstractEEFWidgetController`
See Also:
  `AbstractEEFWidgetController.refresh()`

#### computeCandidates

    public void computeCandidates()

Compute the candidates.

Specified by:
  `computeCandidates` in interface `IEEFSelectController`
See Also:
  `IEEFSelectController.computeCandidates()`

#### onNewValue

    public void onNewValue(IConsumer<java.lang.Object> consumer)

Register a consumer which will be called with the new value of the text when it will change.

Specified by:
  `onNewValue` in interface `IEEFSelectController`
Parameters:
  `consumer` - The consumer of the new value of the text
See Also:
  `IEEFTextController.onNewValue(org.eclipse.eef.core.api.controllers.IConsumer)`

#### onNewCandidates

    public void onNewCandidates(IConsumer<java.util.List<java.lang.Object>> consumer)

Register a consumer which will be called with the new value of the candidates when it will change.

Specified by:
  `onNewCandidates` in interface `IEEFSelectController`
Parameters:
  `consumer` - The consumer of the new candidates of the combo
See Also:
  `IEEFTextController.onNewValue(org.eclipse.eef.core.api.controllers.IConsumer)`

#### removeNewValueConsumer

    public void removeNewValueConsumer()

Remove the consumer of the new value of the text.

Specified by:
  `removeNewValueConsumer` in interface `IEEFSelectController`
See Also:
  `IEEFSelectController.removeNewValueConsumer()`

#### removeNewCandidatesConsumer

    public void removeNewCandidatesConsumer()

Remove the consumer of the new value of the label.

Specified by:
  `removeNewCandidatesConsumer` in interface `IEEFSelectController`
See Also:
  `IEEFSelectController.removeNewCandidatesConsumer()`

#### getDescription

    protected EEFWidgetDescription getDescription()

Returns the widget description.

Specified by:
  `getDescription` in class `AbstractEEFWidgetController`
Returns:
  The widget description
See Also:
  `AbstractEEFWidgetController.getDescription()`